org.apache.maven.plugin.registry

## Class RuntimeInfo

- java.lang.Object
- - org.apache.maven.plugin.registry.RuntimeInfo

    public class RuntimeInfo
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RuntimeInfo(PluginRegistry registry)`

### Method Summary

Methods
`java.lang.String` `getAutoUpdateSourceLevel()`
`java.io.File` `getFile()`
`java.lang.String` `getUpdateIntervalSourceLevel()`
`void` `setAutoUpdateSourceLevel(java.lang.String autoUpdateSourceLevel)`
`void` `setFile(java.io.File file)`
`void` `setUpdateIntervalSourceLevel(java.lang.String updateIntervalSourceLevel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RuntimeInfo

    public RuntimeInfo(PluginRegistry registry)

### Method Detail

#### getAutoUpdateSourceLevel

    public java.lang.String getAutoUpdateSourceLevel()

#### setAutoUpdateSourceLevel

    public void setAutoUpdateSourceLevel(java.lang.String autoUpdateSourceLevel)

#### getFile

    public java.io.File getFile()

#### setFile

    public void setFile(java.io.File file)

#### getUpdateIntervalSourceLevel

    public java.lang.String getUpdateIntervalSourceLevel()

#### setUpdateIntervalSourceLevel

    public void setUpdateIntervalSourceLevel(java.lang.String updateIntervalSourceLevel)